VkDisplaySurfaceCreateInfoKHR Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkDisplaySurfaceCreateInfoKHR:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDisplaySurfaceCreateFlagsKHR | flags
VkDisplayModeKHR | displayMode
uint32_t | planeIndex
uint32_t | planeStackIndex
VkSurfaceTransformFlagBitsKHR | transform
float | globalAlpha
VkDisplayPlaneAlphaFlagBitsKHR | alphaMode
VkExtent2D | imageExtent

## Detailed Description

Definition at line 3680 of file vulkan.h.

## Field Documentation

## alphaMode

VkDisplayPlaneAlphaFlagBitsKHR VkDisplaySurfaceCreateInfoKHR::alphaMode

Definition at line 3689 of file vulkan.h.

## displayMode

VkDisplayModeKHR VkDisplaySurfaceCreateInfoKHR::displayMode

Definition at line 3684 of file vulkan.h.

## flags

VkDisplaySurfaceCreateFlagsKHR VkDisplaySurfaceCreateInfoKHR::flags

Definition at line 3683 of file vulkan.h.

## globalAlpha

float VkDisplaySurfaceCreateInfoKHR::globalAlpha

Definition at line 3688 of file vulkan.h.

## imageExtent

VkExtent2D VkDisplaySurfaceCreateInfoKHR::imageExtent

Definition at line 3690 of file vulkan.h.

## planeIndex

uint32_t VkDisplaySurfaceCreateInfoKHR::planeIndex

Definition at line 3685 of file vulkan.h.

## planeStackIndex

uint32_t VkDisplaySurfaceCreateInfoKHR::planeStackIndex

Definition at line 3686 of file vulkan.h.

## pNext

const void* VkDisplaySurfaceCreateInfoKHR::pNext

Definition at line 3682 of file vulkan.h.

## sType

VkStructureType VkDisplaySurfaceCreateInfoKHR::sType

Definition at line 3681 of file vulkan.h.

## transform

VkSurfaceTransformFlagBitsKHR VkDisplaySurfaceCreateInfoKHR::transform

Definition at line 3687 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h